Skip to navigation Skip to main content
Menu
ADD ANYTHING HERE OR JUST REMOVE IT…
Login / Register
Sign in Create an Account

Lost your password?

0 items .ރ 0.00
Menu
0 items
AJINOMOTO  500G - Image 1
Click to enlarge
Home Uncategorized AJINOMOTO 500G
DYANAS CONDENSED  MILK 390G
DYANAS CONDENSED MILK 390G .ރ 16.00
Back to products
Placeholder
SHAMS NANMA ALL PURPOSE FLOUR (MAIDA) 500GM .ރ 18.00

AJINOMOTO 500G

.ރ 65.01

6 in stock

SKU: 03183 Category: Uncategorized
Share:
  • Shipping & Delivery
Shipping & Delivery

Related products

Placeholder

ALBAL SANDWICH BISCUITS 95g

.ރ 5.00
Add to cart

COAST CALCIUM MILK POWDER 1800 g RFC001

.ރ 420.00
Add to cart

COAST FULL CREAM MILK POWDER 1800 g RFC005

.ރ 410.00
Add to cart

COAST MILK POWDER(SACHET) 2250 g RFC009

.ރ 430.00
Add to cart

FOSTER CLARK COLOR 28 ml ORANGE

.ރ 25.00
Add to cart

FOSTER CLARK COLOR 28 ml RED

.ރ 25.00
Add to cart

HAYAT SPAGHETTI 500 g

.ރ 25.00
Add to cart

SUPER MILK TEA ORIGINAL (24*25s*18g)

.ރ 5.00
Add to cart
    Based on WoodMart theme© 2026 WooCommerce Themes.
    payments
    Start typing to see posts you are looking for.
    • Menu
    • Categories
    Set your categories menu in Header builder -> Mobile -> Mobile menu element -> Show/Hide -> Choose menu
    • Login / Register
    Shopping cart
    Close
    Home
    0 items Cart
    My account